package com.huimv.admin.service;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProdStock;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 存栏结构 服务类
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
public interface IProdStockService extends IService<ProdStock> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listStockScreen(HttpServletRequest httpServletRequest,Map<String,String> paramaMap);

    Result add(HttpServletRequest httpServletRequest, ProdStock prodStock);

    Result listStockScreenHenglu(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Integer sumInPig(Integer farmId, DateTime beginOfMonth);

    Integer sumOutPig(Integer farmId, DateTime beginOfMonth,DateTime endTime);


    Result listStockScreenHengluDay(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listStockScreenHengluYear(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listWarning(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listStockScreenHengluMonth(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listStockScreenHengluSale(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
